Skip to main content
POST
/
v1
/
conversations
/
{id}
/
mark-as-read
Mark conversation as read
curl --request POST \
  --url https://api.openphone.com/v1/conversations/{id}/mark-as-read \
  --header 'Authorization: <api-key>'
{
  "assignedTo": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "deletedAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "lastActivityAt": "2023-11-07T05:31:56Z",
  "lastActivityId": "<string>",
  "mutedUntil": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "participants": [
    "<string>"
  ],
  "phoneNumberId": "<string>",
  "snoozedUntil": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Path Parameters

id
string
required

The unique identifier of the conversation to mark as read.

Pattern: ^CN(.*)$
Example:

"CN123abc"

Response

Success

assignedTo
string | null
required
createdAt
string<date-time> | null
required
deletedAt
string<date-time> | null
required
id
string
required
Pattern: ^CN(.*)$
lastActivityAt
string<date-time> | null
required
lastActivityId
string | null
required
Pattern: ^AC(.*)$
mutedUntil
string<date-time> | null
required
name
string | null
required
participants
string[]
required

A phone number in E.164 format, including the country code.

Pattern: ^\+[1-9]\d{1,14}$
phoneNumberId
string
required
Pattern: ^PN(.*)$
snoozedUntil
string<date-time> | null
required
updatedAt
string<date-time> | null
required